Bug 1453012 - F25 needs nasm-2.13 too
Summary: F25 needs nasm-2.13 too
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nasm
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-21 22:30 UTC by Harald Reindl
Modified: 2017-07-12 12:09 UTC (History)
3 users (show)

Fixed In Version: 2.13.01-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-12 12:09:26 UTC


Attachments (Terms of Use)

Description Harald Reindl 2017-05-21 22:30:01 UTC
when you try to build the latest x264-snapshot on F25 you end in the follwojng error and koji only shows a update some weeks ago to 2.13 for F27 which is way too long - that X264 snapshot becomes AVX512 optimizations which become relevant long before F27 can be considered for production here while the hardware will be Skylake based Xeon

Found no assembler                                                                                                                                                                                                 
Minimum version is nasm-2.13                                                                                                                                                                                       
If you really want to compile without asm, configure with --disable-asm.                                                                                                                                           
Fehler: Fehler-Status beim Beenden von /var/tmp/rpm-tmp.IYgMkD (%build)

#define X264_VERSION " r2829 d1fe6fd"
#define X264_POINTVER "0.150.2829 d1fe6fd"

Comment 1 Mikolaj Izdebski 2017-05-22 09:43:33 UTC
Fixed in nasm-2.13.01-1

Comment 2 Fedora Update System 2017-05-22 09:53:56 UTC
nasm-2.13.01-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-52eb99a430

Comment 3 Fedora Update System 2017-05-22 09:55:08 UTC
nasm-2.13.01-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-09fabd2a82

Comment 4 Harald Reindl 2017-05-22 10:00:24 UTC
thanks - just rebuilt or static x264-latest.x86_64 0:0.150.2829-1.fc25.20170522.rh and rebuild of static ffmpeg is in progress

Comment 5 Fedora Update System 2017-05-22 16:39:27 UTC
nasm-2.13.01-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-09fabd2a82

Comment 6 Fedora Update System 2017-05-23 02:32:51 UTC
nasm-2.13.01-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-52eb99a430

Comment 7 Fedora Update System 2017-05-31 09:03:30 UTC
nasm-2.13.01-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-06-09 19:05:27 UTC
nasm-2.13.01-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Mikolaj Izdebski 2017-07-12 12:09:26 UTC
I believe that this feature is included in nasm-2.13.01-1,
which is available in updates for Fedora 25, so I am closing this bug now.

The build which includes the feature can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=895794


Note You need to log in before you can comment on or make changes to this bug.